local map = vim.api.nvim_set_keymap
local opts = { noremap = true, silent = true }

-- F2 rename variable
-- K inspect with LSP

map('n', '<S-Tab>', '<Cmd>bp<CR>', opts)
map('n', '<Tab>', '<Cmd>bn<CR>', opts)
map('n', '<[b>', '<Cmd>bp<CR>', opts)
map('n', '<]b>', '<Cmd>bn<CR>', opts)
map('n', '<leader>w', '<Cmd>bd<CR>', opts)
map('n', '<leader>s', '<Cmd>w<CR>', opts)
map('n', '<leader>S', '<Cmd>w!<CR>', opts)
map('n', '<leader>t', "<Cmd>Switch<CR>", opts)
map('n', '<leader>r', "<Cmd>Spectre<CR>", opts)
map('n', '<Up>', "<C-a>", opts)
map('n', '<Down>', "<C-x>", opts)
map('n', '<Right>', "<Cmd>Switch<CR>", opts)
map('n', '<Left>', "<Cmd>Switch<CR>", opts)
map('n', '<leader>t', "<Cmd>OverseerRun<CR>", opts)
map('n', '<leader>T', "<Cmd>OverseerToggle<CR>", opts)
